# OpenFortiVPN_macOS

Enthält Skripte, mit denen man unter macOS und evtl. unter Linux eine Verbindung zum VPN aufbauen kann.

Voraussetzung dafür sind die Tools openconnect und xbar

Diese lassen sich einfach über [Homebrew](https://brew.sh/) installieren.

Zunächst Homebrew installieren, sofern noch nicht geschehen.

```zsh
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
```

Danach kann man simple die benötigten Tools installieren.
- [SwiftBar](https://github.com/swiftbar/SwiftBar)
- [OpenConnect](https://www.infradead.org/openconnect/)

```bash
brew update && brew install openconnect swiftbar
```

---

Nach der Installation laden wir das Skript und machen es ausführbar.

```bash
# Ordner anlegen, falls noch nicht vorhanden und dann dorhin navigieren
mkdir -p /Users/$USER/Library/Application\ Support/SwiftBar/plugins && cd $_
# Skript laden und ausführbar machen
wget https://git.bib.de/ITS/OpenFortiVPN_macOS/raw/branch/main/bibVPN.sh
chmod +x bibVPN.sh
```

---

Damit openconnect eine Verbindung aufbauen darf, benötigt man administrative Berechtigungen. Diese kann man dem Tool dann geben, indem man es in die SUDOERS Datei eintragen.

```bash
echo "$USER ALL=(ALL) NOPASSWD: $(which openconnect)
$USER ALL=(ALL) NOPASSWD: /usr/bin/killall -2 openconnect" | sudo tee /private/etc/sudoers.d/openconnect
```


Anschließend SwiftBar starten und die erscheinenden Fenster bestätigen. 
Für den PluginOrdner bitte, dann im Userverzeichnis `Library/Application Support/SwiftBar/plugins`auswählen.
Danach sollte in der Menüleiste das Tool auftauchen.
```zsh
open /Applications/SwiftBar.app
```
